{{- define "3dreconstruct.templates.service" }}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "3dreconstruct.fullname" . }}
  labels:
    {{- if .Values.service.servicemirror }}
    mirror.linkerd.io/exported: "true"
    {{ end -}}
    {{- include "3dreconstruct.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "3dreconstruct.selectorLabels" . | nindent 4 }}
{{- end}}